Skip to main content
POST
/
sme-loan-applications
Create an SME loan application
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/sme-loan-applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "partyId": "<string>",
  "facilityType": "<string>",
  "requestedAmount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "requestedTenorMonths": 123,
  "purpose": "<string>",
  "decisionMode": "automated",
  "collateralIds": [
    "<string>"
  ]
}
'
{
  "applicationId": "smeapp_01JQ9MDQ8Q1VK1ESM7G8YFQ40K",
  "partyId": "<string>",
  "facilityType": "working-capital",
  "requestedAmount": {
    "amount": "12500.00",
    "currency": "EUR"
  },
  "requestedTenorMonths": 24,
  "status": "draft",
  "stage": "credit-review",
  "decisionMode": "automated",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
partyId
string
required
facilityType
string
required
requestedAmount
object
required
requestedTenorMonths
integer
required
purpose
string
decisionMode
enum<string>
Available options:
automated,
hybrid,
manual
collateralIds
string[]

Response

Application created

applicationId
string
Example:

"smeapp_01JQ9MDQ8Q1VK1ESM7G8YFQ40K"

partyId
string
facilityType
string
Example:

"working-capital"

requestedAmount
object
requestedTenorMonths
integer
Example:

24

status
enum<string>
Available options:
draft,
submitted,
in-underwriting,
approved,
declined,
offer-issued,
accepted,
booked
stage
string
Example:

"credit-review"

decisionMode
enum<string>
Available options:
automated,
hybrid,
manual
createdAt
string<date-time>